%include %{_rpmconfigdir}/macros.python3

Name: python3-pytz
Version: 2018.5
Release: 3
License: MIT
Summary: World timezone definitions, modern and historical
Url: https://pythonhosted.org/pytz/
Source: https://files.pythonhosted.org/packages/30/4e/27c34b62430286c6d59177a0842ed90dc789ce5d1ed740887653b898779a/pytz-2018.5-py2.py3-none-any.whl

BuildArch: noarch

BuildRequires: python3
BuildRequires: python3-pip

%description
pytz brings the Olson tz database into Python. This library allows accurate and
cross platform timezone calculations using Python 2.4 or higher. It also solves
the issue of ambiguous times at the end of daylight saving time, which you can
read more about in the Python Library Reference (datetime.tzinfo).

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} %{SOURCE0}

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/pytz*

%changelog
* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure python packages have necessary dependencies listed

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Add pytz which is needed by pandas
